Index: src/clean.bash |
=================================================================== |
--- a/src/clean.bash |
+++ b/src/clean.bash |
@@ -3,6 +3,13 @@ |
# Use of this source code is governed by a BSD-style |
# license that can be found in the LICENSE file. |
+set -e |
+ |
+if [ -z "$GOROOT" ] ; then |
+ echo '$GOROOT not set' |
+ exit 1 |
+fi |
+ |
rm -rf "$GOROOT"/pkg/${GOOS}_$GOARCH |
rm -f "$GOROOT"/lib/*.a |
for i in lib9 libbio libcgo libmach cmd pkg \ |